import { z } from "zod";

/**
 * Environment variables
 */
export const env = {
	RUNTIME_ENVIRONMENT: z.enum(["production", "dev"]).parse(process.env.NODE_ENV),
	DB_PATH: "db/sqlite.db",
	OAUTH: {
		CLIENT_ID: z.string().parse(process.env.OAUTH_CLIENT_ID),
		CLIENT_SECRET: z.string().parse(process.env.OAUTH_CLIENT_SECRET),
	},
};
